cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/alerts/{id}/matches?limit=25"{
"data": [
{
"alert_id": "<string>",
"deliveries": [
{
"channel": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": "<string>",
"error_message": "<string>",
"sent_at": "2023-11-07T05:31:56Z"
}
],
"detected_at": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"entity_type": "<string>",
"id": "<string>",
"mention_count": 123,
"monitor_id": "<string>",
"source_id": "<string>",
"source_type": "<string>",
"episode": {
"podcast_id": "<string>",
"podcast_title": "<string>",
"title": "<string>",
"apple_podcasts_url": "<string>",
"audio_url": "<string>",
"duration_seconds": 123,
"explicit": true,
"image_url": "<string>",
"podcast_image_url": "<string>",
"podcast_popularity": 123,
"podcast_slug": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>"
},
"is_backfilled": true,
"llm_summary": "<string>",
"mention_variants": [
"<string>"
],
"roles": [
"<string>"
],
"truncated": true,
"windows": [
{
"end_seconds": 123,
"lines": [
{
"end_seconds": 123,
"start_seconds": 123,
"text": "<string>",
"is_mention": true,
"number": 123,
"role": "<string>",
"speaker": "<string>"
}
],
"start_seconds": 123,
"clip_description": "<string>",
"clip_id": "<string>",
"clip_intro_statement": "<string>",
"clip_title": "<string>",
"clip_type": "<string>",
"segment_description": "<string>",
"segment_id": "<string>",
"segment_summary": "<string>",
"segment_title": "<string>",
"segment_type": "<string>"
}
]
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 123,
"title": "<string>",
"type": "about:blank"
}Alerts
List matches for an alert
Returns the matches detected for the given alert, newest first.
GET
/
v1
/
alerts
/
{id}
/
matches
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/alerts/{id}/matches?limit=25"{
"data": [
{
"alert_id": "<string>",
"deliveries": [
{
"channel": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": "<string>",
"error_message": "<string>",
"sent_at": "2023-11-07T05:31:56Z"
}
],
"detected_at": "2023-11-07T05:31:56Z",
"entity_id": "<string>",
"entity_type": "<string>",
"id": "<string>",
"mention_count": 123,
"monitor_id": "<string>",
"source_id": "<string>",
"source_type": "<string>",
"episode": {
"podcast_id": "<string>",
"podcast_title": "<string>",
"title": "<string>",
"apple_podcasts_url": "<string>",
"audio_url": "<string>",
"duration_seconds": 123,
"explicit": true,
"image_url": "<string>",
"podcast_image_url": "<string>",
"podcast_popularity": 123,
"podcast_slug": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"slug": "<string>"
},
"is_backfilled": true,
"llm_summary": "<string>",
"mention_variants": [
"<string>"
],
"roles": [
"<string>"
],
"truncated": true,
"windows": [
{
"end_seconds": 123,
"lines": [
{
"end_seconds": 123,
"start_seconds": 123,
"text": "<string>",
"is_mention": true,
"number": 123,
"role": "<string>",
"speaker": "<string>"
}
],
"start_seconds": 123,
"clip_description": "<string>",
"clip_id": "<string>",
"clip_intro_statement": "<string>",
"clip_title": "<string>",
"clip_type": "<string>",
"segment_description": "<string>",
"segment_id": "<string>",
"segment_summary": "<string>",
"segment_title": "<string>",
"segment_type": "<string>"
}
]
}
],
"has_more": true,
"cursor": "<string>"
}{
"detail": "<string>",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 123,
"title": "<string>",
"type": "about:blank"
}Authorizations
ApiKeyHeaderBearerAuth
Pass your API key in the X-API-Key header (recommended).
Path Parameters
Alert ID
Query Parameters
Results per page
Required range:
1 <= x <= 100Opaque pagination cursor from previous response
Only matches detected after this date.
Example:
"2026-05-01"
Only matches detected before this date.
Example:
"2026-05-09"
Was this page helpful?
⌘I